Subject: bug#60684: closed (Re: bug#60684: [PATCH 0/1] Add font-google-noto-emoji)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Jan 2023 02:57:02 +0000

Your bug report

#60684: [PATCH 0/1] Add font-google-noto-emoji

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60684: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60684
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60684: [PATCH 0/1] Add font-google-noto-emoji
From: 宋文武 <[email-masked]>
To: Fredrik Salomonsson <[email-masked]>
Cc: [email-masked]
Date: Sat, 28 Jan 2023 10:56:41 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Fredrik Salomonsson <[email-masked]> writes:

> * gnu/packages/fonts.scm (font-google-noto-emoji): New variable.
> ---
>  gnu/packages/fonts.scm | 30 ++++++++++++++++++++++++++++++
>  1 file changed, 30 insertions(+)

Applied with fetching source via git, as the github generated tarballs
for tags maybe unstable.  Thank you!

Subject: [PATCH 0/1] Add font-google-noto-emoji
From: Fredrik Salomonsson <[email-masked]>
To: [email-masked]
Cc: Fredrik Salomonsson <[email-masked]>
Date: Mon, 9 Jan 2023 01:00:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I ventured down a black hole trying to get emacs render colored emojis with
OpenMoji. But whatever I tried they were still black and white. I noticed
though that using font-google-noto instead rendered emojis just fine in
color. It is really heavy and it's missing some emojis though. Therefore I
ended up package a newer version of Noto Color Emoji. It weights in at ~10MB
when built and covers the Unicode 15.0 standard.

Fredrik Salomonsson (1):
  gnu: Add font-google-noto-emoji.

 gnu/packages/fonts.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

base-commit: 2463e9f1fe10a1d7e02dff76f200da69cd3f24d1
-- 
2.38.1